SET STATISTICS IO ON
-- Turn Graphical Showplan ON (Ctrl+K)

DBCC FREEPROCCACHE       --Clears all plans from cache
DBCC DROPCLEANBUFFERS    --Clears all data from cache

UPDATE member 
	SET lastname = 'Tripp' 
	WHERE member_no = 1234
go

CREATE INDEX MemberLastName2 ON member (lastname)
go

SELECT * 
FROM member 
WHERE lastname = 'Tripps'
go

SELECT * 
FROM member 
WHERE member_no = 1234


select * from master.dbo.syscacheobjects
where sql like '%tripp%'

SELECT st.text, qs.EXECUTION_COUNT, qs.plan_handle, qs.statement_start_offset, qs.*, p.* 
FROM sys.dm_exec_query_stats AS qs 
	CROSS APPLY sys.dm_exec_sql_text(sql_handle) st
	CROSS APPLY sys.dm_exec_query_plan(plan_handle) p
ORDER BY 1, qs.EXECUTION_COUNT DESC;

sp_configure 'optimize for ad hoc workloads', 1
go
reconfigure
go
sp_configure 'optimize for ad hoc workloads', 0
go
reconfigure
go

ALTER PROC GetMember
	(@Lastname	varchar(15))
AS
SELECT *
FROM member
WHERE Lastname LIKE @Lastname 
go 

EXEC GetMember '%t%' with recompile
go

drop index member.MemberLastName

EXECUTE sp_create_plan_guide_from_handle 
    @name =  N'Guide_For_GetMember',
    @plan_handle = 0x05000800F2A6E25BB8208607000000000000000000000000,
    @statement_start_offset = 106;
go

sp_control_plan_guide N'enable',N'Guide_For_GetMember'
go

select * from sys.plan_guides
go

sp_recompile 'GetMember' -- doesn't really affect the plan guide (except the showplan percentages seem way off - based on the first person that executes after a recompile)
go

EXEC GetMember 'T%' -- still uses the plan guide
EXEC GetMember 'T%' with recompile  -- still uses the plan guide
go

sp_control_plan_guide N'drop',N'Guide_For_GetMember'

set statistics profile on