/*============================================================================
  File:     RunQueriesWithWait.sql

  Summary:  Try to use 100% of the CPU

  Date:     August 2008

  SQL Server Version: 10.00.1600.22 (SQL Server 2008 RTM)
------------------------------------------------------------------------------
  Written by Kimberly L. Tripp & Paul S. Randal, SQLskills.com

  For more scripts and sample code, check out http://www.SQLskills.com

  This script is intended as a supplement to the SQL Server 2008 Jumpstart or
  Metro training.
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

IF OBJECT_ID ('t1') IS NOT NULL DROP TABLE t1;
GO

CREATE TABLE t1 (c1 INT, c2 VARCHAR (8000));
CREATE CLUSTERED INDEX t1c1 ON t1 (c1);
GO

SET NOCOUNT ON;
GO
DECLARE @count INT;
SET @count = 0;
WHILE (@count < 1000)
BEGIN
	INSERT INTO t1 VALUES (@count, REPLICATE ('a', 8000));
	SET @count = @count + 1;
END;


-- This won't do an physical IOs (as the index is in the buffer pool
-- and doesn't have any fragmentation) but it will spin the CPU while
-- it processes the index.
WHILE (1 = 1)
BEGIN
	ALTER INDEX t1c1 ON t1 REORGANIZE;
	WAITFOR DELAY '00:00:00.3'; 
END